跳转到主要内容

用户注册

如果您没有 Monochrome 账号,请提前注册,注册地址:http(s)://{URL}/{language}/accounts/register?client_id={clientId}
参数说明
1. URL
Monochrome授权页面域名,正式环境为: www.monochrome.exchange
2. language
授权页面语言,当前支持的内容如下:
en:英语
ja:日本语
hi:印地语
id:印尼语
ru:俄语
es:西班牙语
tr:土耳其语
zh-HK:繁体中文
zh-CN:简体中文
vi:越南语
th:泰语
3. clientId
机构唯一标识,请提前向 Monochrome 申请
例如:
http://www.monochrome.exchange/en/accounts/register?client_id=DDJ7BLK49YUCL97S
通过该url注册的用户将属于机构:DDJ7BLK49YUCL97S

跳转说明

当第三方平台需要 Monochrome 用户授权某些操作时,请从第三方平台页面跳转到http(s)://{URL}/{language}/accounts/oauth2?response_type=code&client_id={clientId}&redirect_uri={redirectUri}&scope={scope}
参数说明
1. URL
Monochrome授权页面域名,正式环境为: www.monochrome.exchange
2. language
授权页面语言,当前支持的内容如下:
en:英语
ja:日本语
hi:印地语
id:印尼语
ru:俄语
es:西班牙语
tr:土耳其语
zh-HK:繁体中文
zh-CN:简体中文
vi:越南语
th:泰语
3. clientId
机构唯一标识,请提前向 Monochrome 申请
4. redirectUri
授权成功后的跳转到的地址
5. scope
授权作用域,和clientId一同向 Monochrome 获取
例如:
http://www.monochrome.exchange/zh-CN/accounts/oauth2?response_type=code&client_id=DDJ7BLK49YUCL97S&redirect_uri=https%3A%2F%2Fwww.baidu.com&scope=userinfo

申请Token

GET /public/uaa/oauth2/token?client_id={client_id}&client_secret=${client_secret}&grant_type={grant_type}&code={code} Parameters
Response

刷新Token

GET /public/uaa/oauth2/token?client_id={client_id}&client_secret=${client_secret}&grant_type={grant_type}&refresh_token={refresh_token} Parameters
Response

创建apiKey

POST /user/account/api-key
Response

单笔获取

GET /spot/v4/order/{orderId} Parameters
Response

单笔查询

GET /spot/v4/order Parameters
Response

单笔下单

POST /spot/v4/order Parameters

备注

按照市价创建BUY订单时,quantity为空,quoteQty必填;按照市价创建SELL订单时,quoteQty为空,quantity必填。

限流规则

20/s/apikey
Response

单笔撤单

DELETE /spot/v4/order/{orderId} Parameters
Response

批量获取

GET /spot/v4/batch-order Parameters reponse 字段信息参考单笔订单获取接口
Response

批量撤单

DELETE /spot/v4/batch-order Parameters 注意:参数以json形式放在body中
Response

查询当前挂单

GET /spot/v4/open-order Parameters

限流规则

10/s/apikey
Response

撤销当前挂单

DELETE /spot/v4/open-order Parameters

限流规则

10/s/apikey
注意:参数以json形式放在body中
Response

历史订单查询

GET /spot/v4/history-order Parameters

限流规则

10/s/apikey
Response

成交查询

GET /spot/v4/trade Parameters
Response

获取单个币种资产

GET /spot/v4/balance Parameters
Response

获取币种资产列表

GET /spot/v4/balances Parameters

限流规则

10/s/apikey
Response